OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.FramebufferMultisampleCoverage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFramebufferMultisampleCoverage :: MonadIO m => m Bool
- gl_NV_framebuffer_multisample_coverage :: Bool
- pattern GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum
- pattern GL_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum
- pattern GL_RENDERBUFFER_COLOR_SAMPLES_NV :: GLenum
- pattern GL_RENDERBUFFER_COVERAGE_SAMPLES_NV :: GLenum
- glRenderbufferStorageMultisampleCoverageNV :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetNVFramebufferMultisampleCoverage :: MonadIO m => m Bool Source #

Is the NV_framebuffer_multisample_coverage extension supported?

gl_NV_framebuffer_multisample_coverage :: Bool Source #

Is the NV_framebuffer_multisample_coverage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFramebufferMultisampleCoverage` in those cases instead.

# Enums

pattern GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum Source #

pattern GL_MULTISAMPLE_COVERAGE_MODES_NV :: GLenum Source #

pattern GL_RENDERBUFFER_COLOR_SAMPLES_NV :: GLenum Source #

pattern GL_RENDERBUFFER_COVERAGE_SAMPLES_NV :: GLenum Source #

# Functions

glRenderbufferStorageMultisampleCoverageNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |